/* $Id: SpecLayout.java,v 1.3 2006/06/21 11:13:03 erk Exp $
 * -----------------------------------------------------------------------
 * 
 * TSP Library - core components for a generic Transport Sampling Protocol.
 * 
 * Copyright (c) 2002 Yves DUFRENNE, Stephane GALLES, Eric NOULARD and Robert PAGNOT 
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * -----------------------------------------------------------------------
 * 
 * Project    : TSP
 * SubProject : jTSP
 * Maintainer : tsp@astrium-space.com
 * Component  : 
 * 
 * -----------------------------------------------------------------------
 * 
 * Purpose   : Consumer
 * 
 * -----------------------------------------------------------------------
 */


package tsp.consumer.util.configuration;

import tsp.util.ToStringHelper;

public abstract class SpecLayout implements Consolidatable{
	
	private final SpecSamplingConfig root;
    private SpecLayoutList layoutList;

    private String type;
    private String description;

	public SpecLayout(final SpecSamplingConfig root) {
		super();
		this.root = root;
	}
	
     public String toString(){
        return ToStringHelper.toString(this);
    }
 
     public void setDescription(String description) {
         this.description = description;
     }
 
     public String getType() {
         return type;
     }
     
     void setType(String type) {
         this.type = type;
     }
 
     void setLayoutList(SpecLayoutList layoutList) {
         this.layoutList = layoutList;
         layoutList.getLayoutList().add(this);
     }

     public abstract void consolidate() throws SpecException;
}
